View Issue Details

IDProjectCategoryView StatusLast Update
0000906OpenMPT[All Projects] Plugins / VSTpublic2017-02-09 01:36
ReportertriplefoxAssigned ToSaga Musix 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx64OSWindowsOS Version10
Product VersionOpenMPT 1.26.07.00 / libopenmpt 0.2-beta20.3 (upgrade first) 
Target VersionOpenMPT 1.26.08.00 / libopenmpt 0.2-beta20.5 (upgrade first)Fixed in VersionOpenMPT 1.26.08.00 / libopenmpt 0.2-beta20.5 (upgrade first) 
Summary0000906: ValhallaDSP Reverb plugins are muted early when they extend the playback time of sampler instruments
Description

OpenMPT appears to be too aggressive in muting instruments when combined with effects plugins; the behavior is correct when plugins are the sound source, but not when using the sampler.

Steps To Reproduce

To reproduce, open a new MPTM, apply any reverb or delay plugin with a long time to a sampled instrument, and play a single note, either in preview or in a pattern. The sound will cut partway through the reverb tail. Additionally, the tail can be heard continuing where it left off when a second note is played.

TagsNo tags attached.
Has the bug occurred in previous versions?Yes
Tested code revision (in case you know it)

Activities

Saga Musix

Saga Musix

2017-01-03 21:59

administrator   ~0002821

Last edited: 2017-01-03 22:00

View 2 revisions

Is the plugin you use by any chance Valhalla Shimmer? Because that's the only plugin I know that exhibits exactly this behaviour.
(For the reference: OpenMPT has auto-suspend code for plugins but it's disabled by default and can currently not be enabled for newly created files - so it's not OpenMPT that cuts the plugin off in this case)

triplefox

triplefox

2017-01-03 22:05

reporter   ~0002823

All Valhalla plugins I tested exhibit it(UberMod, VintageVerb). Now I am properly testing other plugins that I use more rarely, and yes, my impression that it affected all of them was wrong. embarrassment

Saga Musix

Saga Musix

2017-01-03 22:16

administrator   ~0002824

Last edited: 2017-01-03 22:16

View 2 revisions

After further investigation, Valhalla Shimmer sets the "effFlagsNoSoundInStop" flag, which tells the host that it will not produce any output if the input is silence. So this particular plugin is buggy, as it allows us to remove unnecessary render calls. I've notified the plugin author. Of course it's possible that other reverb plugins by other authors also set this flag, but it would seem weird to me if so many plugin authors would set this flag that is supported by almost no hosts.

triplefox

triplefox

2017-01-03 22:20

reporter   ~0002825

Thank you!

Saga Musix

Saga Musix

2017-02-02 22:09

administrator   ~0002861

I talked to Sean from ValhallaDSP and he said that he confirmed that he's using an old versions of JUCE (which is the source of this bug) and cannot upgrade it for now. Until the user can manually toggle this setting, I have completely disabled silence detection for VST plugins. You can grab a r7553 or later from https://buildbot.openmpt.org/ to test this.

Issue History

Date Modified Username Field Change
2017-01-03 21:38 triplefox New Issue
2017-01-03 21:38 triplefox Tag Attached: instrument
2017-01-03 21:38 triplefox Tag Attached: instrument preview
2017-01-03 21:59 Saga Musix Note Added: 0002821
2017-01-03 22:00 Saga Musix Note Edited: 0002821 View Revisions
2017-01-03 22:05 triplefox Note Added: 0002823
2017-01-03 22:16 Saga Musix Note Added: 0002824
2017-01-03 22:16 Saga Musix Note Edited: 0002824 View Revisions
2017-01-03 22:16 Saga Musix Summary Effects plugins are muted early when they extend the playback time of sampler instruments => ValhallaDSP Reverb plugins are muted early when they extend the playback time of sampler instruments
2017-01-03 22:20 triplefox Note Added: 0002825
2017-01-04 00:33 Saga Musix Tag Detached: instrument
2017-01-04 00:33 Saga Musix Tag Detached: instrument preview
2017-01-04 00:33 Saga Musix Category General => Plugins / VST
2017-02-02 22:09 Saga Musix Assigned To => Saga Musix
2017-02-02 22:09 Saga Musix Status new => assigned
2017-02-02 22:09 Saga Musix Status assigned => feedback
2017-02-02 22:09 Saga Musix Note Added: 0002861
2017-02-03 00:58 Saga Musix Target Version => OpenMPT 1.26.08.00 / libopenmpt 0.2-beta20.5 (upgrade first)
2017-02-09 01:36 Saga Musix Status feedback => resolved
2017-02-09 01:36 Saga Musix Resolution open => fixed
2017-02-09 01:36 Saga Musix Fixed in Version => OpenMPT 1.26.08.00 / libopenmpt 0.2-beta20.5 (upgrade first)